Subject: bug#48804: 27.2; compilation emacs on macOS

From: Niels Søndergaard <[email-masked]>
Date: Fri, 4 Jun 2021 17:15:30 +0200

hello

with: ./configure --without-ns --with-x-toolkit=no -with-native-compilation --with-mailutils
which is not what I really wants,

we’re back to the original failure:

checking libgccjit.h usability... yes
checking libgccjit.h presence... yes
checking for libgccjit.h... yes
configure: error: The installed libgccjit failed to compile and run a test program using
the libgccjit library; see config.log for the details of the failure.
The test program can be found here:
<https://gcc.gnu.org/onlinedocs/jit/intro/tutorial01.html>.
You can try compiling it yourself to investigate the issues.
Please report the issue to your distribution if libgccjit was installed
through that.

mvh
Niels

> Den 4. jun. 2021 kl. 17.02 skrev Niels Søndergaard <[email-masked]>:
> 
> I cannot get version 11 through Homebrew, the gewest I can get is 10.2.0_4
> I’ll take out the eksport CC= from my .zshrc
> and try again
> 
> mvh
> Niels
> 
>> Den 4. jun. 2021 kl. 16.43 skrev Alan Third <[email-masked] <mailto:[email-masked]>>:
>> 
>> On Fri, Jun 04, 2021 at 05:15:23PM +0300, Eli Zaretskii wrote:
>>>> From: Niels Søndergaard <[email-masked] <mailto:[email-masked]>>
>>>> Date: Fri, 4 Jun 2021 16:08:10 +0200
>>>> Cc: Niels Søndergaard <[email-masked] <mailto:[email-masked]>>,
>>>> Alan Third <[email-masked] <mailto:[email-masked]>>,
>>>> Konrad Podczeck <[email-masked] <mailto:[email-masked]>>,
>>>> [email-masked] <mailto:[email-masked]>
>>>> 
>>>> Yes, 10.2.0_4
>>>> 
>>>> installed by Homebrew ben default on my machine
>>> 
>>> That's the problem: AFAIK Emacs cannot be built on macOS with GCC.
>>> And I don't think not specifying --with-ns avoids that problem.
>> 
>> --with-ns is the default on macOS, so to build with GCC you need to
>> specify --without-ns. But that's probably not what's wanted here.
>> 
>> Neils, if you followed the suggestion elsewhere in this thread to set
>> CC, please undo that and let configure find clang.
>> 
>> Make sure you have the latest libgccjit installed with homebrew
>> (version 11?).
>> 
>> -- 
>> Alan Third
>